### Constructor

# Gtk SpinButtonnew_with_range

#### Declaration [src]

    GtkWidget*
    gtk_spin_button_new_with_range (
      double min,
      double max,
      double step
    )

#### Description [src]

Creates a new `GtkSpinButton` with the given properties.

This is a convenience constructor that allows creation of a numeric `GtkSpinButton` without manually creating an adjustment. The value is initially set to the minimum value and a page increment of 10 * `step` is the default. The precision of the spin button is equivalent to the precision of `step`.

Note that the way in which the precision is derived works best if `step` is a power of ten. If the resulting precision is not suitable for your needs, use `gtk_spin_button_set_digits()` to correct it.

#### Parameters

`min`

  Type: `double`

  Minimum allowable value.

`max`

  Type: `double`

  Maximum allowable value.

`step`

  Type: `double`

  Increment added or subtracted by spinning the widget.

#### Return value

Type: `GtkWidget`

The new `GtkSpinButton`

The data is owned by the called function.